#ifndef __sh_nikedemo_h__
#define __sh_nikedemo_h__

/**HEADER********************************************************************
* 
* Copyright (c) 2010 Avnet Japan Co.,Ltd (NIKE Borad Project.)
* All Rights Reserved
*
*************************************************************************** 
*
* $FileName: NIKE_demo_Shell_Commands.h$
* $Version : 3.0.3.0$
* $Date    : Nov-21-2008$
*
* Comments:
*
*   
*
*END************************************************************************/


//extern int_32 Shell_fan(int_32 argc, char_ptr argv[] ); 
//extern int_32 Shell_hvac(int_32 argc, char_ptr argv[] ); 
//extern int_32 Shell_scale(int_32 argc, char_ptr argv[] ); 
//extern int_32 Shell_temp(int_32 argc, char_ptr argv[] ); 
//extern int_32 Shell_info(int_32 argc, char_ptr argv[] ); 
extern int_32 Shell_log(int_32 argc, char_ptr argv[] ); 

extern int_32 Shell_AdcTest(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_dump_byte(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_dump_word(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_dump_dword(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_read_byte(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_read_word(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_read_dword(int_32 argc, char_ptr argv[] );
extern int_32 Shell_PCM_mem_read_dump(int_32 argc, char_ptr argv[] );
extern int_32 Shell_PCM_sec_erase(int_32 argc, char_ptr argv[] );
extern int_32 Shell_PCM_baw_write(int_32 argc, char_ptr argv[] );

extern int_32 Shell_mem_write_byte(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_write_word(int_32 argc, char_ptr argv[] );
extern int_32 Shell_mem_write_dword(int_32 argc, char_ptr argv[] );

extern int_32 Shell_sensor_command(int_32 argc, char_ptr argv[] );
extern int_32 Shell_effect_command(int_32 argc, char_ptr argv[] );

extern int_32 Shell_file_test(int_32 argc, char_ptr argv[] );

extern int_32 Shell_PCM_test(int_32 argc, char_ptr argv[] );

extern int_32  Shell_recode_rec(int_32 argc, char_ptr argv[] );
extern int_32  Shell_recode_play(int_32 argc, char_ptr argv[] );

extern int_32  Shell_PCM_blk_erase(int_32 argc, char_ptr argv[] );


#endif

/* EOF*/